#
# spec file for package octave-forge-communications
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  communications
Name:           octave-forge-%{octpkg}
Version:        1.2.6
Release:        1.5
Summary:        Digital Communications for Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gnu-octave.github.io/packages/%{octpkg}/
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.4.0
Requires:       octave-forge-signal >= 1.1.3

%description
Digital Communications, Error Correcting Codes (Channel Code),
Source Code functions, Modulation and Galois Fields.
This is part of the Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
pushd %{octpkg}-%{version}
sed -i -e '1 s@usr/bin/env *perl@usr/bin/perl@' doc/*.pl
popd
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Mon Oct 30 2023 Atri Bhattacharya <badshah400@gmail.com>
- Update URL to point to 'https://gnu-octave.github.io/packages/'
* Mon Oct 16 2023 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.2.6:
  * Replaced operators deprecated as of Octave 7.
- Changes from version 1.2.5:
  * New functions: ssbmod  ssbdemod.
  * The following functions have improved Matlab compatibility and
    tests: pskmod qammod.
* Wed Feb 16 2022 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.2.4:
  * The communications package is now compatible with Octave 7
    (bug #61566).
* Sat May  8 2021 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.2.3:
  * The following functions are new: berconfint, bin2gray,
    finddelay, rcosfir.
  * The function `poly2trellis' now supports feedback connections.
  * Fixed a bug in 'de2bi' that gave an error when only specifying
    input decimal and MSB direction, and also improved Matlab
    compatibility of input option handling.
* Sun Feb  9 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.2.2
  * The communications package is now compatible with Octave 4.4 and 5.
- Drop upstream/obsolete patches:
  * communications-octave-4.2.patch
  * communications-octave-4.2-cxxflags.patch
  * 0001-Update-deprecated-functions-includes.patch
* Wed Mar 13 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix build with Octave 5.1, add 0001-Update-deprecated-functions-includes.patch
  Sustitute config.h -> oct.h, gripes.h -> errwarn.h, gripe_* -> err_* etc.
* Mon Feb 13 2017 dmitry_r@opensuse.org
- Fix build with Octave 4.2.0 [boo#1023726]
  * communications-octave-4.2.patch
  * communications-octave-4.2-cxxflags.patch
* Wed Apr  8 2015 dmitry_r@opensuse.org
- Update to version 1.2.1
  * Compatibility with Octave 4.0.0
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.2.0
